Open MPI logo

Open MPI User's Mailing List Archives

  |   Home   |   Support   |   FAQ   |   all Open MPI User's mailing list

Subject: Re: [OMPI users] Upgrade from Open MPI 1.2 to 1.3
From: Jeff Squyres (jsquyres_at_[hidden])
Date: 2009-03-10 19:03:05


On Mar 10, 2009, at 6:53 PM, Serge wrote:

> Thank you, it's very good news. If the issue has been fixed, then does
> it mean that v1.3.2 will allow to run applications compiled with
> v1.2.9?
> Or is it starting with v1.3.2 and subsequent releases will be backward
> compatible with each other?
>

The latter -- binary compatibility will be starting with v1.3.2 and
onwards.

Binary compatibility was not actually guaranteed between any of the
1.2.x releases, either -- it just usually works.

-- 
Jeff Squyres
Cisco Systems